Page MenuHomePhabricator

[EPIC] Adopt mustache templates in legacy skins: CologneBlue, Modern
Closed, ResolvedPublic

Description

For better maintainability and off the back of the desktop refresh, Modern and CologneBlue could be reduced to a repo without any PHP.

Acceptance criteria

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2020, 5:10 PM

Change 584088 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MonoBook@master] Use templates in Monobook (1/2)

https://gerrit.wikimedia.org/r/584088

Change 584089 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MonoBook@master] Monobook templating 2/2

https://gerrit.wikimedia.org/r/584089

Possibly blocked on T248752

Change 584089 abandoned by Jdlrobson:
Monobook templating 2/2

https://gerrit.wikimedia.org/r/584089

Change 584088 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MonoBook@master] WIP: Monobook Mustache

https://gerrit.wikimedia.org/r/584088

Change 584088 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MonoBook@master] WIP: Monobook Mustache

https://gerrit.wikimedia.org/r/584088

Change 585834 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/Modern@master] POC: Make Modern modern again (at least from a technology standpoint)

https://gerrit.wikimedia.org/r/585834

Jdlrobson renamed this task from Adopt mustache templates in Monobook to Adopt mustache templates in Modern and Monobook.Jun 3 2020, 10:48 PM
Jdlrobson added a project: Modern.
Jdlrobson updated the task description. (Show Details)
Jdlrobson renamed this task from Adopt mustache templates in Modern and Monobook to [EPIC] Adopt mustache templates in legacy skins: CologneBlue, Modern and Monobook.Aug 6 2020, 4:50 PM
Jdlrobson updated the task description. (Show Details)

Change 585834 merged by jenkins-bot:
[mediawiki/skins/Modern@master] Make Modern modern again (at least from a technology standpoint)

https://gerrit.wikimedia.org/r/585834

Jdlrobson updated the task description. (Show Details)

Change 632994 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/skins/Modern@master] Clean up mustache templates

https://gerrit.wikimedia.org/r/632994

Change 632994 merged by jenkins-bot:
[mediawiki/skins/Modern@master] Clean up skin.mustache layout/whitespace

https://gerrit.wikimedia.org/r/632994

Change 606798 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/CologneBlue@master] CologneBlue to Mustache

https://gerrit.wikimedia.org/r/606798

Change 637771 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/CologneBlue@master] Replace piped lists with pseudo element styled lists

https://gerrit.wikimedia.org/r/637771

Change 637771 merged by jenkins-bot:
[mediawiki/skins/CologneBlue@master] Replace piped lists with pseudo element styled lists

https://gerrit.wikimedia.org/r/637771

Change 606798 merged by jenkins-bot:
[mediawiki/skins/CologneBlue@master] CologneBlue implemented with SkinMustache

https://gerrit.wikimedia.org/r/606798

Ammarpad added a subscriber: Ammarpad.EditedTue, Jan 5, 3:53 AM

CologneBlue

BeforeAfter

Notice how the "Interaction" portal location changed. This is the position change I was talking about.

Second issue, there's now a new "Edit" portlet with inactive "edit this page" link. I didn't see this locally, so I guess it appears now because I don't have permission to edit Wikipedia Beta mainpage. It displays correctly on other pages https://en.wikipedia.beta.wmflabs.org/wiki/Portal:Current_events?useskin=cologneblue. But anyway the section need to be hidden at all if the user has no permission (as it used to be in the first image).

Jdlrobson updated the task description. (Show Details)

Right yes...

  1. Interaction now moves below personal links
  2. what links here and page info switch position
  3. Several label changes

I think these are all fine as they bring further consistency and if anyone is upset about them, I'm happy to chat through with them to why this makes maintenance easier.

Just one left now - Monobook!

Jdlrobson renamed this task from [EPIC] Adopt mustache templates in legacy skins: CologneBlue, Modern and Monobook to [EPIC] Adopt mustache templates in legacy skins: CologneBlue, Modern.Fri, Jan 22, 1:29 AM
Jdlrobson closed this task as Resolved.
Jdlrobson claimed this task.
Jdlrobson edited projects, added Modern, CologneBlue; removed MonoBook.
Jdlrobson updated the task description. (Show Details)

Will create a new task for Monobook if interest.